---
title: Unit Guide
desc: An explanation of the unit codes.
---

import { DiagnosticLink } from "@/components/FileLinks";

## Codes

Each unit has a three-letter prefix. The first letter represents subject, the second represents difficulty, and the third represents relevance to American computational contests (mostly the AIME and somewhat the AMCs, less so college contests). Codes are non-unique.

Codes will also have a number attached to the end which indicates the version number. This number will be present even if there is only one version (because it makes my life easier that way).

### Subject

The subjects are:
- **A** - Algebra
- **C** - Combinatorics
- **G** - Geometry
- **N** - Number Theory
- **M** - Miscellaneous

Miscellaneous is a catch-all subject for units that don't fit under the first four categories. Typically they are more meta or psychological in nature. The prototypical miscellaneous units are "Just Do It" and "Careful!".

### Difficulty

The difficulties, in increasing order, are:
- **P** - Palatable
- **Q** - Quotidian
- **R** - Ruthless

**P** units are what a beginner should mostly take. **Q** units are for people a few questions away from olympiad, and **R** units are for prospective olympiad qualifiers.

In practice it is impossible to only take **R** units, so a healthy mixture of **Q** and **R** units is recommended for more experienced contestants.

### Relevance

The relevances, in increasing order, are:
- **T** - Tangential
- **U** - Useful
- **V** - Vital

These are quite self-explanatory. If you're pressed for time or really prioritizing the AIME, then you should focus on **U** and **V** units. 

### Examples

CQV-Perspectives is
- **C** - Combinatorics (Subject)
- **Q** - Quotidian (Difficulty)
- **V** - Vital (Relevance)

CQV-Perspectives-1 indicates that this is the first version of Perspectives, along with all of the information above.